org.eclipse.modisco.kdm.source.extension.discovery

## Class AbstractComposedKDMSourceDiscoverer2<T>

- java.lang.Object
- - org.eclipse.modisco.infra.discovery.core.AbstractDiscoverer<T>
  - - org.eclipse.modisco.infra.discovery.core.AbstractModelDiscoverer<T>
    - - org.eclipse.modisco.kdm.source.extension.discovery.AbstractComposedKDMSourceDiscoverer2<T>

All Implemented Interfaces:
  IDiscoverer<T>

Direct Known Subclasses:
  AbstractDiscoverKDMSourceAndJavaModel

    public abstract class AbstractComposedKDMSourceDiscoverer2<T>
    extends AbstractModelDiscoverer<T>

This abstract discoverer can be used for writing composite discoverers where one KDM inventory leaf model is involved in model composition. It proposes a discovery process and some common code related to the KDM inventory model. See Help Contents or http://wiki.eclipse.org/MoDisco/Components/KDMSourceExtension

### Constructor Summary

Constructors
Constructor and Description
`AbstractComposedKDMSourceDiscoverer2()`

### Method Summary

### Methods inherited from class org.eclipse.modisco.infra.discovery.core.AbstractModelDiscoverer

`discoverElement, getDefaultTargetURI, getTargetModel, getTargetURI, setSerializeTarget, setTargetModel, setTargetURI`

### Methods inherited from class org.eclipse.modisco.infra.discovery.core.AbstractDiscoverer

`isAFolder, isAJavaProject, isAnIFileWithExtension, isAProject, setRefreshSourceBeforeDiscovery`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.modisco.infra.discovery.core.IDiscoverer

`isApplicableTo`

### Constructor Detail

#### AbstractComposedKDMSourceDiscoverer2

    public AbstractComposedKDMSourceDiscoverer2()